Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0027024
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 07. Sales managementmajorhave not tried2014-07-07 10:362014-08-14 16:15
ReporteralostaleView Statuspublic 
Assigned Tovmromanos 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchpiFixed in SCM revision085ea1fce739
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Torafaroda
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0027024: Unneeded updates to c_order whenever c_orderline is modified

DescriptionWhenever any change is done in an order line, its order's totalLines and grandTotal columns are updated regardless these values are modified.

This causes performance degradation because:
1. Unnecessary updates
2. These updates cause triggers in c_order to be executed
Steps To ReproduceSee steps in issue 0027023
Proposed SolutionSmarter logic in c_orderline_trg2 to do do update only when required.
TagsPerformance
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0027023 closedvmromanos Order line taxes are regenerated on all order line changes 
blocks defect 0027160 closededuardo_Argal C_Order_Post poor performance 

-  Notes
(0068809)
hgbot (developer)
2014-07-22 15:12

Repository: erp/devel/pi
Changeset: 085ea1fce739489f26d85c05d89b6e8ed7ec23e4
Author: Víctor Martínez Romanos <victor.martinez <at> openbravo.com>
Date: Tue Jul 22 10:23:09 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/085ea1fce739489f26d85c05d89b6e8ed7ec23e4 [^]

Fixed bug 27023 Fixed bug 27024: Performance improvements on C_ORDERLINE_TRG2

---
M src-db/database/model/triggers/C_ORDERLINE_TRG2.xml
---
(0069074)
dmitry_mezentsev (developer)
2014-08-04 16:36

The issues is not closed for 13 days now!!!
(0069212)
hudsonbot (developer)
2014-08-08 18:53

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/4450016dee64 [^]
Maturity status: Test
(0069375)
rafaroda (developer)
2014-08-14 16:15

Code reviewed fix in C_ORDERLINE_TRG2 and checked functionally that c_orderlinetax_trg trigger is only executed when Order Quantity, Net Unit Price, Tax or Net List Price fields are directly or indirectly changed in Order Line.

- Issue History
Date Modified Username Field Change
2014-07-07 10:36 alostale New Issue
2014-07-07 10:36 alostale Assigned To => eduardo_Argal
2014-07-07 10:36 alostale Modules => Core
2014-07-07 10:36 alostale Triggers an Emergency Pack => No
2014-07-07 10:37 alostale Relationship added related to 0027023
2014-07-07 10:37 alostale Tag Attached: Performance
2014-07-07 13:33 jpcalvente Issue Monitored: jpcalvente
2014-07-21 16:35 jonalegriaesarte Regression date => 2014-08-07
2014-07-21 16:37 jonalegriaesarte Regression date 2014-08-07 =>
2014-07-21 16:55 vmromanos Status new => scheduled
2014-07-21 16:55 vmromanos Assigned To eduardo_Argal => vmromanos
2014-07-21 16:55 vmromanos fix_in_branch => pi
2014-07-22 15:12 hgbot Checkin
2014-07-22 15:12 hgbot Note Added: 0068809
2014-07-22 15:12 hgbot Status scheduled => resolved
2014-07-22 15:12 hgbot Resolution open => fixed
2014-07-22 15:12 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/085ea1fce739489f26d85c05d89b6e8ed7ec23e4 [^]
2014-07-23 08:26 alostale Relationship added blocks 0027160
2014-07-23 10:59 mtaal Issue Monitored: mtaal
2014-08-04 16:36 dmitry_mezentsev Note Added: 0069074
2014-08-08 18:53 hudsonbot Checkin
2014-08-08 18:53 hudsonbot Note Added: 0069212
2014-08-14 16:15 rafaroda Review Assigned To => rafaroda
2014-08-14 16:15 rafaroda Note Added: 0069375
2014-08-14 16:15 rafaroda Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker